#!/bin/bash
#
# MySQL NDB management daemon start/stop script.
#
set -e
set -u
${DEBIAN_SCRIPT_DEBUG:+ set -v -x}

# Variables
SELF=$(cd $(dirname $0); pwd -P)/$(basename $0)
DAEMON=/usr/sbin/ndb_mgmd
CONF=/etc/mysql/ndb_mgmd.cnf
export HOME=/etc/mysql/

# Safeguard (relative paths, core dumps..)
cd /
umask 077

# Exit *silently* if we're not supposed to be started.
#
# The Debian scripts should execute these scripts to stop and start
# the daemon when upgrading if it is started. On the other hand it should
# remain silently if the server has not even been configured.
# See /usr/share/doc/mysql-server-*/README.Debian for more information.
test -x $DAEMON || exit 0
test -r $CONF || exit 0

#
# main()
#
case "${1:-''}" in
  'start')
	# Start daemon
	echo -n "Starting MySQL NDB cluster management server: ndb_mgmd"
	# --pid-file does not work as the daemon forks itself with $PID=$PID+1
	if start-stop-daemon \
		--start \
		--exec $DAEMON \
		--user mysql \
		-- \
		-f $CONF
	then
	  echo "."
	else
	  echo "...failed."
	  /bin/echo -e "\tPlease take a look at the syslog."
	  exit 1
	fi			  
	;;

  'stop')
	echo -n "Stopping MySQL NDB cluster management server: ndb_mgmd"	
	if start-stop-daemon \
		--stop \
		--oknodo \
		--exec $DAEMON
	then
	  echo "."
	else
	  echo "...failed."
	  exit 1
        fi
	;;

  'restart'|'force-reload')
	set +e; $SELF stop; set -e
	$SELF start 
	;;

  *)
	echo "Usage: $SELF start|stop|restart|force-reload"
	exit 1
	;;
esac

